Package org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

# Class CompareEvent<T>

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent<T>

All Implemented Interfaces:
  `ICompareEvent`

Direct Known Subclasses:
  `AdapterFactoryChange`, `CompareEditingDomainChange`, `DiffRelationshipComputerChange`, `EMFComparatorChange`, `MergePreviewModeChange`

public class CompareEvent<T> extends Object implements ICompareEvent

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CompareEvent(T oldValue, T newValue)`

## Method Summary

Modifier and Type
Method
Description
`T`
`getNewValue()`
`T`
`getOldValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompareEvent

protected CompareEvent(T oldValue, T newValue)

## Method Details

### getOldValue

public T getOldValue()

### getNewValue

public T getNewValue()